Skip to main content
POST
/
v1
/
agent-tools
/
{id}
/
test
Testar uma tool HTTP isoladamente
curl --request POST \
  --url https://api.nuvia.ai/v1/agent-tools/{id}/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "params": {
    "userId": 123,
    "product": "book"
  }
}
'
{
  "request": {
    "method": "<string>",
    "url": "<string>",
    "headers": {},
    "query": {},
    "body": {}
  },
  "durationMs": 123,
  "response": {
    "statusCode": 123,
    "body": {},
    "mapped": {}
  },
  "error": {
    "message": "<string>",
    "statusCode": 123
  }
}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Headers

x-company-id
string

Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.

Path Parameters

id
string
required

ID da tool do agente

Body

application/json
params
object

Valores dos parâmetros da tool (path/query/body), imputados manualmente para o teste.

Example:
{ "userId": 123, "product": "book" }

Response

request
object
required
durationMs
number
required

Tempo de resposta em milissegundos.

response
object
error
object